Package com.independentsoft.office.word.drawing

# Class WrapTight

java.lang.Object
com.independentsoft.office.word.drawing.WrapType
com.independentsoft.office.word.drawing.WrapTight

public class WrapTight extends WrapType
The Class WrapTight.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrapTight()`
  Instantiates a new wrap tight.
  `WrapTight​(WrapText wrapText)`
  Instantiates a new wrap tight.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WrapTight`
  `clone()`
  `Unit`
  `getDistanceBetweenTextAndLeftEdge()`
  Gets the distance between text and left edge.
  `Unit`
  `getDistanceBetweenTextAndRightEdge()`
  Gets the distance between text and right edge.
  `WrapPolygon`
  `getWrapPolygon()`
  Gets the wrap polygon.
  `WrapText`
  `getWrapText()`
  Gets the wrap text.
  `void`
  `setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)`
  Sets the distance between text and left edge.
  `void`
  `setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)`
  Sets the distance between text and right edge.
  `void`
  `setWrapPolygon​(WrapPolygon wrapPolygon)`
  Sets the wrap polygon.
  `void`
  `setWrapText​(WrapText wrapText)`
  Sets the wrap text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WrapTight

    public WrapTight()
    Instantiates a new wrap tight.

  - ### WrapTight

    public WrapTight​(WrapText wrapText)
    Instantiates a new wrap tight.
    Parameters:
      `wrapText` - the wrap text

- ## Method Details

  - ### clone

    public WrapTight clone()
    Specified by:
      `clone` in class `WrapType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWrapText

    public WrapText getWrapText()
    Gets the wrap text.
    Returns:
      the wrap text

  - ### setWrapText

    public void setWrapText​(WrapText wrapText)
    Sets the wrap text.
    Parameters:
      `wrapText` - the new wrap text

  - ### getDistanceBetweenTextAndLeftEdge

    public Unit getDistanceBetweenTextAndLeftEdge()
    Gets the distance between text and left edge.
    Returns:
      the distance between text and left edge

  - ### setDistanceBetweenTextAndLeftEdge

    public void setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)
    Sets the distance between text and left edge.
    Parameters:
      `distanceBetweenTextAndLeftEdge` - the new distance between text and left edge

  - ### getDistanceBetweenTextAndRightEdge

    public Unit getDistanceBetweenTextAndRightEdge()
    Gets the distance between text and right edge.
    Returns:
      the distance between text and right edge

  - ### setDistanceBetweenTextAndRightEdge

    public void setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)
    Sets the distance between text and right edge.
    Parameters:
      `distanceBetweenTextAndRightEdge` - the new distance between text and right edge

  - ### getWrapPolygon

    public WrapPolygon getWrapPolygon()
    Gets the wrap polygon.
    Returns:
      the wrap polygon

  - ### setWrapPolygon

    public void setWrapPolygon​(WrapPolygon wrapPolygon)
    Sets the wrap polygon.
    Parameters:
      `wrapPolygon` - the new wrap polygon